### Method

# FwupdPlugin Context add_quirk_key

since: 1.6.0

#### Declaration [src]

    void
    fu_context_add_quirk_key (
      FuContext* self,
      const gchar* key
    )

#### Description [src]

Adds a possible quirk key. If added by a plugin it should be namespaced using the plugin name, where possible.

Plugins can use this method only in fu_plugin_init().

Available since: 1.6.0

#### Parameters

`key`

  Type: `const gchar*`

  A quirk string, e.g. `DfuVersion`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.